低危 MySQL服务器RENAME TABLE系统表格覆盖漏洞

CVE编号

CVE-2007-5969

利用情况

暂无

补丁情况

官方补丁

披露时间

2007-12-11
漏洞描述
 5.0.51之前的MySQL Community Server 5.0.x,5.0.52之前的Enterprise Server 5.0.x,5.1.23之前的服务器5.1.x和6.0.4之前的服务器6.0.x,当一个表依赖于符号链接去通过explicit DATA DIRECTORY 和 INDEX DIRECTORY选项创建时,允许远程通过身份验证的用户覆盖系统表信息并通过RENAME TABLE语句获取权限,该语句将符号链接更改为指向现有文件。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://bugs.mysql.com/32111
http://dev.mysql.com/doc/refman/4.1/en/news-4-1-24.html
http://dev.mysql.com/doc/refman/5.0/en/releasenotes-cs-5-0-51.html
http://dev.mysql.com/doc/refman/5.0/en/releasenotes-es-5-0-52.html
http://forums.mysql.com/read.php?3,186931,186931
http://lists.apple.com/archives/security-announce/2008/Oct/msg00001.html
http://lists.mysql.com/announce/495
http://lists.opensuse.org/opensuse-security-announce/2008-02/msg00003.html
http://secunia.com/advisories/27981
http://secunia.com/advisories/28025
http://secunia.com/advisories/28040
http://secunia.com/advisories/28063
http://secunia.com/advisories/28099
http://secunia.com/advisories/28108
http://secunia.com/advisories/28128
http://secunia.com/advisories/28343
http://secunia.com/advisories/28559
http://secunia.com/advisories/28838
http://secunia.com/advisories/29706
http://secunia.com/advisories/32222
http://security.gentoo.org/glsa/glsa-200804-04.xml
http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackw...
http://support.apple.com/kb/HT3216
http://www.debian.org/security/2008/dsa-1451
http://www.mandriva.com/security/advisories?name=MDKSA-2007:243
http://www.redhat.com/support/errata/RHSA-2007-1155.html
http://www.redhat.com/support/errata/RHSA-2007-1157.html
http://www.securityfocus.com/archive/1/486477/100/0/threaded
http://www.securityfocus.com/bid/26765
http://www.securityfocus.com/bid/31681
http://www.securitytracker.com/id?1019060
http://www.vupen.com/english/advisories/2007/4142
http://www.vupen.com/english/advisories/2007/4198
http://www.vupen.com/english/advisories/2008/0560/references
http://www.vupen.com/english/advisories/2008/1000/references
http://www.vupen.com/english/advisories/2008/2780
https://issues.rpath.com/browse/RPL-1999
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://usn.ubuntu.com/559-1/
https://www.redhat.com/archives/fedora-package-announce/2007-December/msg00467.html
https://www.redhat.com/archives/fedora-package-announce/2007-December/msg00475.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mysql community_server * Up to
(including)
5.0.50
运行在以下环境
应用 mysql community_server 5.0.41 -
运行在以下环境
应用 mysql community_server 5.0.44 -
运行在以下环境
应用 mysql community_server 5.0.45 -
运行在以下环境
应用 mysql mysql_enterprise_server 5.0.50 -
运行在以下环境
应用 mysql mysql_server 5.1.22 -
运行在以下环境
应用 mysql mysql_server 6.0 -
运行在以下环境
应用 mysql mysql_server 6.0.1 -
运行在以下环境
应用 mysql mysql_server 6.0.2 -
运行在以下环境
应用 mysql mysql_server 6.0.3 -
运行在以下环境
系统 centos_5 mysql * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 centos_5 mysql-bench * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 centos_5 mysql-devel * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 centos_5 mysql-server * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 centos_5 mysql-test * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 oracle linux_5 mysql * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 oracle linux_5 mysql-bench * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 oracle linux_5 mysql-devel * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 oracle linux_5 mysql-server * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 oracle linux_5 mysql-test * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 oracle_5 mysql * Up to
(excluding)
5.0.22-2.2.el5_1.1
运行在以下环境
系统 redhat_5 mysql * Up to
(excluding)
0:4.1.20-3.RHEL4.1.el4_6.1
运行在以下环境
系统 sles_11 libmysqlclient15 * Up to
(excluding)
5.0.67-13.20
运行在以下环境
系统 suse_11 libmysqlclient15 * Up to
(excluding)
5.0.67-13.20
阿里云评分
3.8
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    N/A
  • 补丁情况
    官方补丁
  • 数据保密性
    N/A
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-264 权限、特权和访问控制
阿里云安全产品覆盖情况